Name:           gnome-main-menu
License:        GPLv2+
Group:          Graphical desktop/GNOME
Version:        0.9.15
Release:        %mkrel 1
Summary:        The GNOME Desktop Menu
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
Patch0:		gnome-main-menu-0.9.15-mandriva-integration.patch
Url:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gnome-common
BuildRequires:	gnome-desktop-devel
BuildRequires:	gnome-menus-devel
BuildRequires:	gnome-panel-devel
BuildRequires:	libnautilus-devel
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	dbus-glib-devel
BuildRequires:	librsvg2-devel
# BuildRequires:  eel-devel
BuildRequires:  libgtop2.0-devel
BuildRequires:	hal-devel
BuildRequires:	libiw-devel
BuildRequires:  libglade2.0-devel
BuildRequires:  scrollkeeper
BuildRequires:	desktop-file-utils
BuildRequires:	libnm-glib-devel
BuildRequires:	unique-devel
BuildRequires:	libslab-devel
BuildRequires:	libsm-devel
Obsoletes:	%{_lib}gnome-main-menu < 0.9.15
Requires:       gnome-panel dbus-glib hal tango-icon-theme gnome-system-monitor
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires(pre):  GConf2
Requires(post): GConf2
Requires(post): scrollkeeper
Requires(preun):  GConf2
Requires(postun): scrollkeeper

%description
The GNOME Desktop Menu and Application Browser.

%prep
%setup -q
%patch0 -p1

%build
autoreconf -fi
%configure2_5x \
  --disable-static \
  --disable-schemas-install \
  --enable-nautilus-extension

%make

%install
rm -fr %buildroot
%makeinstall_std
%find_lang %{name}

#autorun
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/gnome/autostart
cp application-browser/etc/application-browser.desktop $RPM_BUILD_ROOT/%{_datadir}/gnome/autostart/
sed -i "/^Exec=/ s/application-browser *$/application-browser -h/" $RPM_BUILD_ROOT/%{_datadir}/gnome/autostart/application-browser.desktop

%clean
rm -rf %buildroot

%define schemas slab application-browser

%if %mdkversion < 200900
%post
%post_install_gconf_schemas %{schemas}
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%preun
%preun_uninstall_gconf_schemas %{schemas}

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/*
%{_datadir}/gnome-2.0/ui/GNOME_MainMenu_ContextMenu.xml
%{_datadir}/gnome/autostart/application-browser.desktop
%{_datadir}/applications/application-browser.desktop
%{_datadir}/applications/gnome-screensaver-lock.desktop
%{_datadir}/applications/gnome-session-logout.desktop
%{_datadir}/applications/gnome-session-shutdown.desktop
%{_datadir}/applications/trigger-panel-run-dialog.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_libdir}/bonobo/servers/GNOME_MainMenu.server
%{_libexecdir}/main-menu
%{_libdir}/nautilus/extensions-2.0/libnautilus-main-menu.*


%changelog
* Tue Jan 18 2011 Alexandre Lissy <alissy@mandriva.com> 0.9.15-1mdv2011.0
+ Revision: 631621
- * Adding BuildRequires against libsm-devel
- * Update to 0.9.15 release
 * Better mandriva integration (draknet/network manager, etc.)

  + Götz Waschk <waschk@mandriva.org>
    - rebuild for new libgnome-desktop

* Tue Dec 01 2009 Funda Wang <fwang@mandriva.org> 0.9.13-1mdv2010.1
+ Revision: 472176
- new version 0.9.13

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sat Mar 14 2009 Emmanuel Andry <eandry@mandriva.org> 0.9.12-2mdv2009.1
+ Revision: 355134
- rebuild

* Tue Jan 06 2009 Götz Waschk <waschk@mandriva.org> 0.9.12-1mdv2009.1
+ Revision: 326210
- update build deps
- new version
- fix build
- update file list

* Thu Nov 06 2008 Götz Waschk <waschk@mandriva.org> 0.9.10-3mdv2009.1
+ Revision: 300206
- rebuild for new  gnome-desktop

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 0.9.10-2mdv2009.0
+ Revision: 242327
- fix build deps
- update license

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 25 2008 Funda Wang <fwang@mandriva.org> 0.9.10-1mdv2009.0
+ Revision: 211111
- BR networkmanager-glib
- New version 0.9.10

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 29 2007 Emmanuel Andry <eandry@mandriva.org> 0.9.8-0.258.3mdv2008.0
+ Revision: 93923
- rebuild for latest libiw (bug #33978)

* Thu Jun 21 2007 Funda Wang <fwang@mandriva.org> 0.9.8-0.258.2mdv2008.0
+ Revision: 42281
- fix rpm group

* Tue Apr 17 2007 Colin Guthrie <cguthrie@mandriva.org> 0.9.8-0.258.1mdv2008.0
+ Revision: 13644
- Update to 0.9.8 (svn258)
- Compile libslab statically until gnome-control-center is updated


* Fri Mar 09 2007 Jérôme Soyer <saispo@mandriva.org> 0.6.3-1mdv2007.1
+ Revision: 138723
- Add BR
- Add BR
- Add BR
- Import gnome-main-menu

